/*
	NXColorPanel.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSPanel.h"
#import "NSView.h"

enum {
    NSGrayModeColorPanel		= 0,
    NSRGBModeColorPanel			= 1,
    NSCMYKModeColorPanel		= 2,
    NSHSBModeColorPanel			= 3,
    NSCustomPaletteModeColorPanel	= 4,
    NSColorListModeColorPanel		= 5,
    NSWheelModeColorPanel		= 6
};

enum {
    NSColorPanelGrayModeMask		= 0x00000001,
    NSColorPanelRGBModeMask		= 0x00000002,
    NSColorPanelCMYKModeMask		= 0x00000004,
    NSColorPanelHSBModeMask		= 0x00000008,
    NSColorPanelCustomPaletteModeMask	= 0x00000010,
    NSColorPanelColorListModeMask	= 0x00000020,
    NSColorPanelWheelModeMask		= 0x00000040,
    NSColorPanelAllModesMask		= 0x0000ffff
};    
   

@interface NSColorPanel : NSPanel
{
    void *              _cpPrivate;
    int                 _reservedCPint[15];
}

+ (BOOL)dragColor:(NSColor *)color withEvent:(NSEvent *)theEvent fromView:sourceView;
+ (BOOL)sharedColorPanelExists;
+ sharedColorPanel;
+ (void)setPickerMask:(int)mask;
+ (void)setPickerMode:(int)mode;

- setAccessoryView:aView;
- accessoryView;
- setContinuous:(BOOL)flag;
- (BOOL)isContinuous;
- setShowAlpha:(BOOL)flag;
- (BOOL)doesShowAlpha;
- updateCustomColorList;
- setMode:(int)mode;
- (int)mode;
- setColor:(NSColor *)color;
- (NSColor *)color;
- (float)alpha;
- setAction:(SEL)aSelector;
- setTarget:anObject;
- attachColorList:colorList;
- detachColorList:colorList;

 @end

@interface NSView(ColorAcceptor)
/*
 * Obsolete API: The drag/drop API, in conjunction with the Pasteboard
 * (NXColorPboardType) should be used instead of this method.
 */
- acceptColor:(NSColor *)color atPoint:(NSPoint)aPoint;

@end
