/*
	NXDataLinkPanel.h
	Application Kit, Release 3.0
	Copyright (c) 1991, NeXT, Inc.  All rights reserved.
*/

#import "NSDataLinkManager.h"
#import "NSApplication.h"
#import "NSPanel.h"

@interface NSDataLinkPanel : NSPanel {
  /* these instance variables are NOT part of the API, are subject to change in future releases */
  @private
    id breakLink;
    id openSource;
    id updateDestination;
    id updateMode;
    id breakAllLinks;
    id showOutlines;
    id bannerMsg;
    id sourceTitle;
    id sourceValue;
    id lastUpdateTitle;
    id lastUpdateValue;
    id accessoryView;
    BOOL needsUpdate;
    BOOL reserved1;
    short reserved2;
}

+ sharedDataLinkPanel;
+ newContent:(NSRect)contentRect style:(int)aStyle backing:(int)bufferingType buttonMask:(int)mask defer:(BOOL)flag;

+ allocFromZone:(NSZone *)zone;
+ alloc;

+ setLink:(NSDataLink *)link andManager:(NSDataLinkManager *)linkManager isMultiple:(BOOL)flag;
+ getLink:(NSDataLink **)link andManager:(NSDataLinkManager **)linkManager isMultiple:(BOOL *)flag;

- setLink:(NSDataLink *)link andManager:(NSDataLinkManager *)linkManager isMultiple:(BOOL)flag;
- getLink:(NSDataLink **)link andManager:(NSDataLinkManager **)linkManager isMultiple:(BOOL *)flag;

- setAccessoryView:aView;
- accessoryView;

- pickedBreakLink:sender;
- pickedOpenSource:sender;
- pickedUpdateDestination:sender;
- pickedUpdateMode:sender;
- pickedBreakAllLinks:sender;

@end


@interface NSApplication(NSDataLinkPanel)
- orderFrontDataLinkPanel:sender;
@end

