/*
**      NXImageView.h
**      Copyright (c) 1992, NeXT Computer, Inc.  All rights reserved. 
*/


#import <AppKit/AppKit.h>


// NXImageView is functionally identical to the Database Kit's DBImageView.
// Please refer to the DatabaseKit documentation for use of this class.


@interface NSImageView : NSControl
{
    id		_image;
    struct {
#ifdef __BIG_ENDIAN__
	unsigned	_style : 4;
	BOOL		_editable : 1;
        unsigned        _reserved :27;
#else
        unsigned        _reserved :27;
        BOOL		_editable : 1;
        unsigned	_style : 4;
#endif
    } _ivflags;
    id _target;                    // for action messages
    SEL _action;                   // call here after an image drag-drop
}


- image;
- setImage:newImage;

- setStyle:(int)newStyle;
- (int)style;
- setEditable:(BOOL)yn;
- (BOOL)isEditable;


typedef enum {
    NX_ImageNoFrame = 0,
    NX_ImagePhoto,
    NX_ImageGrayBezel,
    NX_ImageGroove
} NXImageStyle;


@end


