/*
 * NXSoundParameters.h
 *
 * Copyright (c) 1993, NeXT Computer, Inc.  All rights reserved. 
 */

#import <objc/Object.h>
#import <objc/HashTable.h>
#import <sound/soundstruct.h>
#import "NXSoundParameterTags.h"

@protocol NXSoundParameters
- (BOOL)boolValueForParameter:(NXSoundParameterTag)ptag;
- (int)intValueForParameter:(NXSoundParameterTag)ptag;
- (float)floatValueForParameter:(NXSoundParameterTag)ptag;
- (void)setParameter:(NXSoundParameterTag)ptag toBool:(BOOL)flag;
- (void)setParameter:(NXSoundParameterTag)ptag toInt:(int)value;
- (void)setParameter:(NXSoundParameterTag)ptag toFloat:(float)value;
- (void)removeParameter:(NXSoundParameterTag)ptag;
- (BOOL)isParameterPresent:(NXSoundParameterTag)ptag;
- (void)getParameters:(const NXSoundParameterTag **)list
    count:(unsigned int *)numParameters;
- (void)getValues:(const NXSoundParameterTag **)list
     count:(unsigned int *)numValues forParameter:(NXSoundParameterTag)ptag;
@end

@interface NXSoundParameters:Object <NXSoundParameters>
{
    HashTable		*_paramTable;
    NXSoundParameterTag *_paramList;
    int			_reserved;
}

+ (const char *)localizedNameForParameter:(NXSoundParameterTag)ptag;
- init;
- initFromSound:aSound;
- initFromSoundStruct:(SNDSoundStruct *)soundStruct;
- (void)configureSoundStruct:(SNDSoundStruct *)soundStruct;
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;
- free;

@end
